const withPlugins = require('next-compose-plugins')

/** @type {import('next').NextConfig} */
const nextConfig = {
  reactStrictMode: true
  // webpack: (config, { webpack }) => {
  //   return config
  // },
}

const redirects = {
  async redirects () {
    return [
      {
        source: '/',
        destination: '/home',
        permanent: true
      }
    ]
  }
}

module.exports = withPlugins(
  [
    [redirects]
  ],
  nextConfig
)
